For the complete documentation index, see llms.txt. This page is also available as Markdown.

Bex Transactions

Retrieve Bex transaction

get

Get details of a specific Bex transaction by its ID.

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
200

Bex transaction retrieved successfully.

application/json
created_datestring · date-timeRead-onlyOptional

The date and time when the object was created.

modified_datestring · date-timeOptional

The date and time when the object was last modified.

pkintegerOptional

Primary key of the transaction

transaction_typestring · enumOptional

Type of Bex transaction

Example: purchasePossible values:
transaction_idstringOptional

Unique identifier for the transaction

posintegerOptional

ID of the associated point of sale

orderintegerOptional

ID of the associated order

user_emailstringOptional

Email of the user associated with the transaction

is_succeededbooleanOptional

Indicates if the transaction was successful

amountnumber · decimalOptional

Amount involved in the transaction

remote_addrstringOptional

Remote address associated with the transaction

raw_requeststringOptional

Raw request data for the transaction

raw_responsestringOptional

Raw response data for the transaction

get/api/v1/bex_transactions/{id}/
GET /api/v1/bex_transactions/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "pk": 1,
  "transaction_type": "purchase",
  "transaction_id": "text",
  "pos": 1,
  "order": 1,
  "user_email": "text",
  "is_succeeded": true,
  "amount": 1,
  "remote_addr": "text",
  "raw_request": "text",
  "raw_response": "text",
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

List Bex transactions

get

Retrieve a paginated list of Bex transactions.

Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
ordernumberOptional

Filter by order ID.

Example: 123
user_emailstring · emailOptional

User's email (case-insensitive)

transaction_typestring · enumOptional

Type of Bex transaction

Example: purchasePossible values:
transaction_idintegerOptional

Filter(exact) by transaction ID

Example: 0
posstringOptional

Filter by point of sale name

is_succeededbooleanOptional

Filter by transaction success status.

amountnumber · decimalOptional

Filter by amount.

remote_addrstringOptional

Filter by IP address

created_datestring · date-timeOptional

Filter by creation date using supported lookup expressions (e.g., gt, gte, lt, lte, date__gt, etc.).

Example: created_date__gt=2024-01-01T00:00:00Z
pkintegerOptional

Filters by primary key

pk__gtstringOptional

Filter by primary key greater than a specific value.

pk__gteintegerOptional

Filters by primary key greater than or equal to the given value

pk__ltintegerOptional

Filters by primary key less than the given value

pk__lteintegerOptional

Filters by primary key less than or equal to the given value

Responses
200

Successful response with a list of Bex transactions.

application/json
countintegerOptional

Total number of results.

nextstring · uri · nullableOptional

URL of the next page of results.

previousstring · uri · nullableOptional

URL of the previous page of results.

get/api/v1/bex_transactions/
GET /api/v1/bex_transactions/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 1,
  "next": "https://example.com",
  "previous": "https://example.com",
  "results": [
    {
      "created_date": "2026-01-01T00:00:00.000Z",
      "modified_date": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Last updated

Was this helpful?